# Source language and JDK version to use
language: java
jdk: oraclejdk8

install:
  - "(cd FlowNetworking && mvn install)"
  - "(cd Glowkit && mvn install)"

script:
  - "mvn package"

after_success:
  # Check if commit is not a pull request, if repo is official, and branch is master, generate and deploy artifacts and reports
  - "[[ $TRAVIS_PULL_REQUEST == false ]] && [[ $TRAVIS_REPO_SLUG == GlowstonePlusPlus/GlowstonePlusPlus ]] && [[ $TRAVIS_BRANCH == master ]]"

# Notification services
notifications:
  # Disable build status email notifications, until the issue with forks is fixed
  email: false

# Environmental system variables
env:
  global:
    # Make the log output cleaner
    - TERM=dumb
    - secure: "WZNE+iO7GxF8qShmApOHx01EYnDObeW0D1t/UJhDLnTHwPdIiHltDgL4l2zb9jmHn21Cy3WCdfFr2XrSmLG+Y+8sFcb6//JvqDW5E79LHNJohDQyJFz3t2gTABrzgS4FVwjRKIw/Hlwdrkukfn4uqs/xxoyl3FAfmSmn2YgFTB0="
    - secure: "Y5+AXavZO15haO0bWucP4JoX5L8i5vTG2LsSeVCG6oDTAcE/RX5CpCLZxL6BT2qYHDDQL+ICF6ovp0qWjuLq0U3nvQz/7hJMlQDWOiGzX4rVHbljBlZzjNxAnk9GE8o7oYnNjvwtiMWqD930dfJ8mJvqzRKG/Q8Ye0mQ9VlrN/w="
